# 文档查看器
## 概述

文档查看器是系统自带的一款文档查看工具，主要用于浏览PDF格式文档。


## 打开方式
- “**开始菜单**” > “**文档查看器**”；
- 在文档图标上右键单击 > “**打开方式**”> “**文档查看器**”；
- “**任务栏**”>“**搜索**”>“**文档查看器**”。


## 基本操作
点击菜单栏中的“![](image/icon1.png)”、“![](image/icon2.png)”可进行上、下翻页操作，菜单栏显示文档当前所在的页数和文档总页数，支持选择不同的页面缩放比例。

![图 1 文档查看器](image/1.png)

![图 2 选择页面缩放比例](image/2.png)

使用文档查看器打开文件后，选择“**文件**”> “**属性**”或按下“**Alt+Enter**”键可打开文件属性窗口，查看当前打开文件的属性，包括文件所在位置、作者、创建时间、修改时间、页数等属性。

![图 3 查看文件属性](image/3.png)


## 菜单栏功能说明
文档查看器菜单栏功能说明如下表所示。
表 1 文档查看器菜单栏功能说明

| 一级菜单       | 二级菜单         | 说明        |
|------------|--------------|-----------|
| 文件         | 打开           | 打开文档      |
| | 打开副本       | 新窗口打开相同内容文档  | 
| | 保存为        | 保存文档至指定路径    |           
| | 打印         | 打印文档         |           
| | 属性         | 显示文档通用选项     |           
| | 关闭         | 关闭文档查看器      |           
| 编辑         | 复制           | 复制        |
| | 全选         | 全部选择文档       |           
| | 查找         | 检索关键字        |           
| | 查找上一个      | 查找上一个关键字结果   |           
| | 查找下一个      | 查找下一个关键字结果   |           
| | 向左旋转       | 文档向左旋转90度    |           
| | 向右旋转       | 文档向右旋转90度    |           
| | 工具栏        | 显示工具栏编辑器     |           
| | 将当前设置设为默认值 | 保存当前编辑器设置为默认 |           
| 视图         | 工具栏          | 是否显示工具栏   |
| | 侧边栏        | 显示侧边栏        |           
| | 全屏         | 全屏显示         |           
| | 放映         | 放映模式查看文档     |           
| | 连续         | 连续查看文档页      |           
| | 双页         | 两列查看文档页      |           
| | 反转色彩       | 转换为相对颜色      |           
| | 光标浏览       | 放置光标浏览文档     |           
| | 放大         | 放大文档         |           
| | 缩小         | 缩小文档         |           
| | 重置缩放       | 恢复正常比例       |           
| | 合适页面       | 缩放至页面合适大小    |           
| | 合适页宽       | 缩放至合适页面宽度    |           
| | 伸展窗口以适应    | 扩展页面窗口       |           
| | 重新载入       | 重新加载窗口       |           
| 转到         | 上一页          | 切换至上一页    |
| | 下一页        | 切换至下一页       |           
| | 第一页        | 切换至第一页       |           
| | 最后一页       | 切换至最后一页      |           
| 书签         | 添加书签         | 添加标识至当前文档 |
| 帮助         | 目录           | 打开用户手册    |
| | 关于         | 应用声明信息       |           


<!-- <table  align="right">
   <tr>
      <td>一级菜单</td>
      <td>二级菜单</td>
      <td>说明</td>
   </tr>
   <tr>
      <td rowspan="6">文件</td>
      <td>打开</td>
      <td>打开文档</td>
   </tr>
   <tr>
      <td>打开副本</td>
      <td>新窗口打开相同内容文档</td>
   </tr>
   <tr>
      <td>保存为</td>
      <td>保存文档至指定路径</td>
   </tr>
   <tr>
      <td>打印</td>
      <td>打印文档</td>
   </tr>
   <tr>
      <td>属性</td>
      <td>显示文档通用选项</td>
   </tr>
   <tr>
      <td>关闭</td>
      <td>关闭文档查看器</td>
   </tr>
   <tr>
      <td rowspan="9">编辑</td>
      <td>复制</td>
      <td>复制</td>
   </tr>
   <tr>
      <td>全选</td>
      <td>全部选择文档</td>
   </tr>
   <tr>
      <td>查找</td>
      <td>检索关键字</td>
   </tr>
   <tr>
      <td>查找上一个</td>
      <td>查找上一个关键字结果</td>
   </tr>
   <tr>
      <td>查找下一个</td>
      <td>查找下一个关键字结果</td>
   </tr>
   <tr>
      <td>向左旋转</td>
      <td>文档向左旋转90度</td>
   </tr>
   <tr>
      <td>向右旋转</td>
      <td>文档向右旋转90度</td>
   </tr>
   <tr>
      <td>工具栏</td>
      <td>显示工具栏编辑器</td>
   </tr>
   <tr>
      <td>将当前设置设为默认值</td>
      <td>保存当前编辑器设置为默认</td>
   </tr>
   <tr>
      <td rowspan="15">视图</td>
      <td>工具栏</td>
      <td>是否显示工具栏</td>
   </tr>
   <tr>
      <td>侧边栏</td>
      <td>显示侧边栏</td>
   </tr>
   <tr>
      <td>全屏</td>
      <td>全屏显示</td>
   </tr>
   <tr>
      <td>放映</td>
      <td>放映模式查看文档</td>
   </tr>
   <tr>
      <td>连续</td>
      <td>连续查看文档页</td>
   </tr>
   <tr>
      <td>双页</td>
      <td>两列查看文档页</td>
   </tr>
   <tr>
      <td>反转色彩</td>
      <td>转换为相对颜色</td>
   </tr>
   <tr>
      <td>光标浏览</td>
      <td>放置光标浏览文档</td>
   </tr>
   <tr>
      <td>放大</td>
      <td>放大文档</td>
   </tr>
   <tr>
      <td>缩小</td>
      <td>缩小文档</td>
   </tr>
   <tr>
      <td>重置缩放</td>
      <td>恢复正常比例</td>
   </tr>
   <tr>
      <td>合适页面</td>
      <td>缩放至页面合适大小</td>
   </tr>
   <tr>
      <td>合适页宽</td>
      <td>缩放至合适页面宽度</td>
   </tr>
   <tr>
      <td>伸展窗口以适应</td>
      <td>扩展页面窗口</td>
   </tr>
   <tr>
      <td>重新载入</td>
      <td>重新加载窗口</td>
   </tr>
   <tr>
      <td rowspan="4">转到</td>
      <td>上一页</td>
      <td>切换至上一页</td>
   </tr>
   <tr>
      <td>下一页</td>
      <td>切换至下一页</td>
   </tr>
   <tr>
      <td>第一页</td>
      <td>切换至第一页</td>
   </tr>
   <tr>
      <td>最后一页</td>
      <td>切换至最后一页</td>
   </tr>
   <tr>
      <td>书签</td>
      <td>添加书签</td>
      <td>添加标识至当前文档</td>
   </tr>
   <tr>
      <td rowspan="2">帮助</td>
      <td>目录</td>
      <td>打开用户手册</td>
   </tr>
   <tr>
      <td>关于</td>
      <td>应用声明信息</td>
   </tr>
</table> -->