# 系统安装
## 最低配置与推荐配置

| 版本形态 | 最小内存 | 推荐内存  | 最小硬盘空间 | 推荐硬盘空间 |
|------|------|-------|--------|--------|
| 桌面系统 | 2GB  | 4GB以上 | 50GB   | 80GB以上 |

表1 最低配置与推荐配置

<br>

## 安装准备

1)准备所需组件

安装光盘或U盘启动器、《银河麒麟桌面操作系统V10安装手册》

2)检查硬件兼容性

银河麒麟桌面操作系统具有良好的硬件兼容性，与近年来生产的大多数硬件兼容。由于硬件的技术规范改变频繁，因此可能难以保证系统会百分之百地兼容硬件。

3)备份数据

安装系统之前，请将硬盘上的重要数据备份到其他存储设备中。

4)硬盘分区

一块硬盘可以被划分为多个分区，分区之间是相互独立的，访问不同的分区如同访问不同的硬盘。一块硬盘最多可以有四个主分区，如果想在一块硬盘上拥有多于四个分区，就需要把分区类型设为逻辑分区。

## 安装引导

1)硬盘分区

将安装光盘放入光驱中，重启机器。根据固件启动时的提醒，按下相应快捷键进入固件管理界面。若使用的是内置光驱，“第一启动选项”选择“光驱”；若使用的是USB或者USB外置光驱，“第一启动选项”选择“USB”。本系统支持体验模式，可试用一个全功能的操作系统而不安装。

2)系统安装

如选择“试用银河麒麟桌面操作系统”，则会进入试用界面，如下图所示：

![图 1 试用银河麒麟桌面操作系统界面](image/1.png)

双击图标“安装 Kylin”，开始安装引导，则直接进入安装引导界面，选择系统语言，单击“下一步”：

![图 2 选择系统语言](image/2.png)

进入选择安装途径界面，选择“从Live安装”，点击“下一步”，“从Ghost安装”请见<u>第6部分</u>。

![图 3 选择从Live安装](image/3.png)

阅读许可协议，勾选“我已阅读并同意协议条款”，点击“下一步”：

![图 4 阅读许可协议](image/4.png)

选择系统时区，默认为北京时区，可以在下拉列表中选择城市切换时区，或在地图中点选城市切换时区，点击“下一步”：

![图 5 选择时区](image/5.png)

创建系统用户，输入用户名，系统自动填充推荐的主机名，可进行修改，设置登录密码并再次输入密码进行确认，勾选“开机自动登录”可设置开机登录系统时不需要输入密码，点击“下一步”：

![图 6 创建用户](image/6.png)

选择系统的安装方式，如选择“全盘安装”，将在选择的盘符中进行全盘安装，格式化整个硬盘，并进行自动分区，详见<u>第4部分</u>；如选择“自定义安装”，用户自行根据实际需求，进行分区创建和分区大小分配，详见<u>第5部分</u>。

## 全盘安装

选择“全盘安装”选项，选中待安装的目标盘符：

![图 7 全盘安装](image/7.png)

若勾选“出厂备份”则自动备份出厂状态，备份文件存放于自动创建的backup分区下。

若勾选“全盘加密”可以设置磁盘加密，输入密码并确认，点击“下一步”：

![图 8 全盘加密](image/8.png)

系统在该磁盘中自动分区并显示分区结果，确认安装盘符后，选中“格式化整个磁盘”，然后点击“开始安装”：

![图 9 确认全盘安装](image/9.png)

系统将自动开始安装，安装过程中支持查看实时的安装日志，安装界面如下图所示：

![图 10 系统安装界面](image/10.png)

![图 11 系统安装日志](image/11.png)

安装完成后，界面如下图所示，点击“现在重启”按钮，系统重新启动：

![图 12 系统安装完成](image/12.png)

重启过程中系统会自动弹出光驱或提示“请取出安装介质，然后按ENTER键”：

![图 13 取出安装介质提示界面](image/13.png)

按照提示，取回光驱或U盘后，按“ENTER”（回车键），等待系统进入登录界面，进入登录界面后，输入用户密码后即可进入系统。

## 自定义安装

选择使用自定义安装可以自行设计各硬盘分区大小。在选择安装方式界面选择“自定义安装”后出现硬盘分区界面，点击“创建分区表”，弹出提示窗口，选中“空闲”所在行，选择“+添加”即可创建硬盘分区：

![图 14 自定义安装](image/14.png)

首先创建boot分区，/boot必须是主分区中的第一个分区；继续创建根分区（/）、backup、tmp分区，在创建分区的时候，“新分区的类型”选择“主分区”，“新分区的位置”默认为“剩余空间头部”，“用于”选择“ext4”：

![图 15 创建分区](image/15.png)

若是中途需要改变已创建的分区，具体操作方式如下所示：

a)添加分区：选中空闲分区所在行，点击“+添加”按钮。

b)编辑分区：选中已创建的分区，点击“修改”按钮。

c)删除分区：选中已创建的分区，点击“-删除”按钮。

自定义分区完成后如下图所示，点击“下一步”：

![图 16 自定义分区完成](image/16.png)

查看自定义安装的盘符分配结果，勾选“确认以上操作”，点击“开始安装”：

![图 17 确认自定义安装](image/17.png)

自定义分区完成后，点击“开始安装”，后续步骤与全盘安装一致，等待完成后重启电脑即可进入系统。

## Ghost安装

1)把制作好的Ghost镜像（存在于/ghost目录下）拷贝到U盘等可移动存储设备。

2)进入试用系统界面后，接入可移动设备。

3)通过终端手动挂载设备，将设备挂载到/mnt目录下。通常情况下，移动设备为/dev/sdb1，可使用命令
“fdisk -l”查看移动设备所在位置。

手动挂载设备命令：sudo mount /dev/sdb1 /mnt

4)双击图标“安装 Kylin”，开始安装引导。进入选择安装途径界面，选择“从Ghost安装”。

![图 18 选择从Ghost安装](image/18.png)

5)点击“打开文件”，选择/mnt目录下的Ghost镜像文件。

![图 19 选择Ghost镜像文件](image/19.png)

6)Ghost安装无需创建用户和选择时区，后续安装步骤参见<u>第4部分</u>或<u>第5部分</u>；

## 系统激活

安装完成进入系统后，点击屏幕右上角“立即激活”，将弹出系统激活窗口：

![图 20 激活提示](image/20.png)

或在桌面任务栏处右键选择“关于麒麟”，打开“关于”界面，点击“激活”：

![图 21 “关于”界面](image/21.png)

在弹出的窗口中选择激活方式：

![图 22 选择激活方式](image/22.png)

1)产品密钥激活

产品密钥通常在配套DVD包装盒中，由20位数字和大写字母组成，连通网络，输入产品密钥后点击激活，提示激活成功后重启系统，即可成功激活。

![图 23 产品密钥激活](image/23.png)

2)二维码激活

二维码激活需要首先在移动设备上绑定对应的服务序列号激活权限，绑定权限后即可使用微信扫描系统二维码激活，可分为系统联网激活和系统离线激活两种情况：

a)联网激活

系统联网状态下，如以二维码方式激活，通过移动设备的微信扫描激活界面中的二维码，点击确认激活，移动端将会弹出激活成功的页面，在系统激活界面上点击“激活“，系统即自动刷新为激活成功状态。

![图 24 在线二维码激活](image/24.png)

b)离线激活

离线状态下，如以二维码方式激活，通过移动设备微信扫描激活界面中的二维码获取激活码，在系统激活界面上填写序列号和激活码，点击“激活”，将会弹出激活成功的页面，即自动刷新为已激活状态。

![图 25 离线二维码激活](image/25.png)

激活成功的界面如下图所示：

![图 26 激活成功界面](image/26.png)

3)授权文件导入

如以授权文件导入方式激活，点击“选择授权文件”并导入对应的文件“.kyinfo”和“LICENSE”后，点击“导入”，弹出激活https://kdocs.cn/l/cvkHjfy1hz05成功弹窗后重启系统，即可激活成功。

![图 27 授权文件导入激活](image/27.png)

4)Ukey激活

如以Ukey方式激活，首先插入Ukey，然后选择Ukey方式激活，等待系统完成激活，弹出激活成功弹窗后重启系统，即可激活成功。

![图 28 ukey激活](image/28.png)