# UKUI Desktop Environment
Desktop Environment is the basis for the user's operation on the graphical interface, and it provides multiple functions. As shown in Fig 1.
 
![Fig 1 Desktop Environment-big](image/1.png)
<br>

## Desktop
### Desktop Icon
There are three icons: personal folder, "Computer", "Trash" by default. Double click to open it.

Right clicking "Computer" and selecting "Properties", it can show the current system version, kernel version, activation and other related informations, as shown in Fig 2.

![Fig 2 "Computer" > "Properties"-big](image/2.png)

### Right-click Menu
Right-click on the desktop blank and a menu appears as shown in Fig 3.
 
![Fig 3 Right-click menu](image/3.png)
<br>

## Taskbar
Taskbar is located at the bottom and includes the Start Menu, File Manager, Tray Menu, etc..

The individual components as shown below.

| Component | Decsription |
| :------------ | :------------ |
| ![](image/icon1.png) | Start menu: Open the system menu to find applications |
| ![](image/icon2.png) | Taskview: Work in different workspaces |
| ![](image/icon3.png) | File manager: Browse and manage documents in the system |
| ![](image/icon4.png)  | Kylin store: Software center |
| ![](image/icon5.png)  | QAX browser: Provide a convenient and safe way to access the Internet |
| ![](image/icon6.png)  | WPS Office |
| ![](image/icon7.png)  | Ukui search:  Search files, applications, etc. |
| Window Area | The blank part in the middle of the horizontal bar. Display running programs, opened documents, and allow to close windows, etc. |
| Tray Menu | Include settings for input method, volume, network connection, etc. |
| Show Desktop | The button is on far right. Minimize all windows and return to the desktop; Click again will restore the windows |

<br>

### Workspace
Click "![](image/icon2.png)" and the interface as shown in Fig 4.

![Fig 4 Workspace-big](image/4.png)

### Preview Window
Move the mouse to the application's icon on the taskbar, and it will show a preview of the opened windows, as shown in Fig 5.

![Fig 5 Preview window-big](image/5.png)

Right click the icon to close all the window of this application.

### Calendar
Click the date and time on the taskbar to pop up the calendar window.

![Fig 15 Calendar](image/15.png)

### Set the taskbar
Right-click the taskbar, the user can set the layout of the taskbar.
![Fig 24 Set the taskbar](image/24.png)

### Sidebar
Click the sidebar icon on the tray menu and the popup as shown in Fig 6.

![Fig 6 Sidebar-big](image/6.png)

#### Notification Center
It will show the lastest news. Click "Clean up" to empty the list.

![Fig 7 Notification center](image/7.png)

#### Clipboard
It will store the lastest copy or cut contents.

![Fig 8 Clipboard](image/8.png)

### Plugins
The second tab is plugins -- clock, kylin memo, and kylin service support.

![Fig 9 Plugins](image/9.png)

#### Clock

It provides countdown, alarm clock, and stopwatch. Switch the functions through the top three icons.

![Fig 10 Add alarm clock](image/10.png)

#### Memo

To write down information at any time.

![Fig 11 Kylin memo](image/11.png)

#### Service Support

Please go to the main interface to see the details.

## Network
Click the network icon, and users can choose wifi or wired connection.

![Fig 13 Network](image/13.png)

Click one wired connection to see the details.

![Fig 14 Connection details](image/14.png)

### Advanced Settings
Right click the taskbar, users can set the layout of taskbar, as shown in Fig 16.
 
![Fig 16 Right-click menu of the taskbar](image/16.png)
<br>

## Windows
### Window manager
The functions provided as shown below.

| Function | Description |
| :------------ | :------------ |
| Title Bar | Show the title name of current window |
| Minimize/Maximize/Close | The three icon buttons at the right of the title bar correspond to minimize, maximize and close |
| Side Sliding | Scroll up and down to view the page by the slider at the right of the window |
| Stack | Allow overlap among windows |
| Drag and Drop | Long press the left mouse button at the title bar to move the window to any position |
| Resize | Move the mouse to the corner of the window and long press the left button to resize the window |

<br>

### Window Switch
There are three ways:

* Click the window title on the Taskbar

* Click the different window at the desktop

* Shortcut Alt + Tab

<br>

## Start Menu
Click the button to open it, and the main interface as shown in Fig 17.
 
![Fig 17 Start menu](image/17.png)

### Category Menu
There are 3 categories:

* All App: List all applications

* Sort by Letter: List the applications by the first letter.

* Sort by Function: List the applications by the function.

Click fullscreen icon on the upper right corner to open the full screen mode.

![Fig 18 Start menu(Full screen)-big](image/18.png)

#### Other Functions
1) User Informations

Click "![](image/icon8.png)" to see the user informations.

2) Computer

Click "![](image/icon9.png)" to enter the computer path in file manager.

3) Settings

Click "![](image/icon10.png)" to open the control center.

### Power Menu
Click "Power" button, and the options as shown in Fig 19.
 
![Fig 19 Shutdown interface-big](image/19.png)

1)  Lock Screen

When users do not need to use the computer temporarily, the lock screen can be selected (without affecting the current running state of the system) to prevent misoperations. And input the password to re-enter the system. The system will automatically lock the screen after a period of idle time by default.
 
![Fig 20 Lock screen-big](image/20.png)

2) Switch Users & Log Out

When you want to select another user to log in uing the computer, you can select "Log out" or "Switch user". At this point, the system will close all running applications; Therefore, please save the current jobs before performing this action.

3) Right click the Start Menu can also pop up the shutdown options.
 
![Fig 21 Shutdown right-click  menu](image/21.png)

### Application
Input keywords in the search box, and the result will show up automatically. As shown in Fig 22.

![Fig 22 Search application](image/22.png)

Right click an application in the start menu, and the pop up menu as shown in Fig 23.
 
![Fig 23 Right-click menu of application](image/23.png)
<br>

## Q&A
#### Can not login the system after locking the screen
1) Switch to terminal interface by Ctrl + Alt + F1

2) Input the user-name and password to login

3) Execute "sudo rm -rf ~/.Xauthority"

4) Switch to graphical interface by Ctrl + Alt + F7, and input the password

<br>

## Appendix 
### Shortcut Key

| Shortcut | Function |
| :------------ | :------------ |
| F1  | Open the user guide |
| Alt + Tab  | Switch window |
| Win  | Open the start menu |
| Ctrl + Alt + L  | Lock screen |
| Ctrl + Alt + Delete  | Open the shutdown management interface |
| Ctrl + Alt + F1~6  | Switch to terminal interface |
| Ctrl + Alt + F7  | Switch to graphic interface |
| Alt + F9 | Minimization window |
| Alt + F10 | Switch maximize state / Resume |
